pcl::gpu::PseudoConvexHull3D Class Reference

`#include </build/pcl-OilVEB/pcl-1.8.1+dfsg1/gpu/surface/include/pcl/gpu/surface/convex_hull.h>`

## Public Types

typedef pcl::PointXYZ | PointType
typedef pcl::gpu::DeviceArray< PointType > | Cloud

## Public Member Functions

| PseudoConvexHull3D (size_t buffer_size)
| ~PseudoConvexHull3D ()
void | reconstruct (const Cloud &points, Cloud &output)
void | reduce (const Cloud &points, Cloud &output)

## Detailed Description

Definition at line 50 of file convex_hull.h.

## Member Typedef Documentation

## Cloud

typedef pcl::gpu::DeviceArray<PointType> pcl::gpu::PseudoConvexHull3D::Cloud

Definition at line 55 of file convex_hull.h.

## PointType

typedef pcl::PointXYZ pcl::gpu::PseudoConvexHull3D::PointType

Definition at line 54 of file convex_hull.h.

## Constructor & Destructor Documentation

## PseudoConvexHull3D()

pcl::gpu::PseudoConvexHull3D::PseudoConvexHull3D | ( | size_t | buffer_size | ) |

## ~PseudoConvexHull3D()

pcl::gpu::PseudoConvexHull3D::~PseudoConvexHull3D | ( |  | ) |

## Member Function Documentation

## reconstruct()

void pcl::gpu::PseudoConvexHull3D::reconstruct | ( | const Cloud & | points,
|  | Cloud & | output
| ) |  |

## reduce()

void pcl::gpu::PseudoConvexHull3D::reduce | ( | const Cloud & | points,
|  | Cloud & | output
| ) |  |

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/gpu/surface/include/pcl/gpu/surface/convex_hull.h